Authenticate over SSH using the ssh agent

- « SSH2 Functions

- ssh2_auth_hostbased_file »

- PHP Manual
- SSH2 Functions
- Authenticate over SSH using the ssh agent

# ssh2_auth_agent

(PECL ssh2 >= 0.12)

ssh2_auth_agent — Authenticate over SSH using the ssh agent

### Description

ssh2_auth_agent(resource `$session`, string `$username`): bool

Authenticate over SSH using the ssh agent

> Note: The ssh2_auth_agent() function will only be available when the ssh2 extension is compiled with libssh >= 1.2.3.

### Parameters

`session`

  An SSH connection link identifier, obtained from a call to ssh2_connect().

`username`

  Remote user name.

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 Authenticating with a ssh agent

    <?php
    $connection = ssh2_connect('shell.example.com', 22);

    if (ssh2_auth_agent($connection, 'username')) {
      echo "Authentication Successful!\n";
    } else {
      die('Authentication Failed...');
    }
    ?>